Skip to content

Results are limited to the current section: Cloud services

Product news

Cancel Workload

PUT
/api/v1/workloads/{workload_id}/cancel
curl --request PUT \
--url https://example.com/api/v1/workloads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel \
--header 'Authorization: Bearer <token>'
workload_id
required
Workload Id
string format: uuid

Successful Response

Media typeapplication/json
NonPaginatedResponse[ProducedWorkloadResponse]
object
data
Any of:
ProducedWorkloadResponse

Response schema for a workload with embedded results as dict.

object
id
required
Id
string format: uuid
start_timestamp
Any of:
string format: date-time
end_timestamp
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
Any of:
string format: date-time
workload_type
required
Workload Type
string
backend
required
Backend
string
status
required
JobStatus
string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
config
required
Config
object
key
additional properties
any
errors
Any of:
Array<string>
project_id
required
Project Id
string format: uuid
user_id
required
User Id
string
queue_priority
required
QueuePriority

Values represent the queue a value will be written to, each priority represents the order of preference batches will be executed. Queue priority is processed in a descending order: CRITICAL, HIGH, MEDIUM, LOW, FREE

string
Allowed values: CRITICAL HIGH MEDIUM LOW FREE
result
Any of:
object
key
additional properties
any
Example
{
"data": {
"status": "PENDING",
"queue_priority": "CRITICAL"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}